#include<bits/stdc++.h>
using namespace std;
int M,N;
char tabla[20][20];
bool od10=true;
int main() {
    cin>>N>>M;
    for(int i=1;i<=N;i++)
        for(int j=1;j<=M;j++) {
            cin>>tabla[i][j];
            if(tabla[i][j]!='.')
                od10=false;
    }
    if(od10) {
        for(int i=1;i<=N;i++) {
            for(int j=1;j<i;j++)
                cout<<'.';
            cout<<'C';
            for(int j=i+1;j<=M;j++)
                cout<<'.';
            cout<<endl;
        }
    }
    else cout<<"-1"<<endl;
return 0;
}